## WMS Raw Write request WMS Raw Write request |

## Functions

QmiMessageWmsRawWriteInput * | qmi_message_wms_raw_write_input_new ()
QmiMessageWmsRawWriteInput * | qmi_message_wms_raw_write_input_ref ()
void | qmi_message_wms_raw_write_input_unref ()
gboolean | qmi_message_wms_raw_write_input_get_raw_message_data ()
gboolean | qmi_message_wms_raw_write_input_set_raw_message_data ()
QmiMessageWmsRawWriteOutput * | qmi_message_wms_raw_write_output_ref ()
void | qmi_message_wms_raw_write_output_unref ()
gboolean | qmi_message_wms_raw_write_output_get_result ()
gboolean | qmi_message_wms_raw_write_output_get_memory_index ()
void | qmi_client_wms_raw_write ()
QmiMessageWmsRawWriteOutput * | qmi_client_wms_raw_write_finish ()

## Types and Values

| QmiMessageWmsRawWriteInput
| QmiMessageWmsRawWriteOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsRawWriteInput
        ╰── QmiMessageWmsRawWriteOutput

## Description

## Functions

### qmi_message_wms_raw_write_input_new ()

    QmiMessageWmsRawWriteInput *
    qmi_message_wms_raw_write_input_new (void);

Allocates a new QmiMessageWmsRawWriteInput.

#### Returns

the newly created QmiMessageWmsRawWriteInput. The returned value should be freed with `qmi_message_wms_raw_write_input_unref()`.

Since: 1.0

### qmi_message_wms_raw_write_input_ref ()

    QmiMessageWmsRawWriteInput *
    qmi_message_wms_raw_write_input_ref (QmiMessageWmsRawWriteInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsRawWriteInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_raw_write_input_unref ()

    void
    qmi_message_wms_raw_write_input_unref (QmiMessageWmsRawWriteInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsRawWriteInput. |

Since: 1.0

### qmi_message_wms_raw_write_input_get_raw_message_data ()

    gboolean
    qmi_message_wms_raw_write_input_get_raw_message_data
                                   (QmiMessageWmsRawWriteInput *self,
                                    QmiWmsStorageType *value_raw_message_data_storage_type,
                                    QmiWmsMessageFormat *value_raw_message_data_format,
                                    GArray **value_raw_message_data_raw_data,
                                    GError **error);

Get the 'Raw Message Data' field from `self` .

#### Parameters

self | a QmiMessageWmsRawWriteInput. |
value_raw_message_data_storage_type | a placeholder for the output QmiWmsStorageType, or `NULL` if not required. |
value_raw_message_data_format | a placeholder for the output QmiWmsMessageFormat, or `NULL` if not required. |
value_raw_message_data_raw_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_write_input_set_raw_message_data ()

    gboolean
    qmi_message_wms_raw_write_input_set_raw_message_data
                                   (QmiMessageWmsRawWriteInput *self,
                                    QmiWmsStorageType value_raw_message_data_storage_type,
                                    QmiWmsMessageFormat value_raw_message_data_format,
                                    GArray *value_raw_message_data_raw_data,
                                    GError **error);

Set the 'Raw Message Data' field in the message.

#### Parameters

self | a QmiMessageWmsRawWriteInput. |
value_raw_message_data_storage_type | a QmiWmsStorageType. |
value_raw_message_data_format | a QmiWmsMessageFormat. |
value_raw_message_data_raw_data | a GArray of guint8 elements. A new reference to `value_raw_message_data_raw_data` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_write_output_ref ()

    QmiMessageWmsRawWriteOutput *
    qmi_message_wms_raw_write_output_ref (QmiMessageWmsRawWriteOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsRawWriteOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_raw_write_output_unref ()

    void
    qmi_message_wms_raw_write_output_unref
                                   (QmiMessageWmsRawWriteOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsRawWriteOutput. |

Since: 1.0

### qmi_message_wms_raw_write_output_get_result ()

    gboolean
    qmi_message_wms_raw_write_output_get_result
                                   (QmiMessageWmsRawWriteOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsRawWriteOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_wms_raw_write_output_get_memory_index ()

    gboolean
    qmi_message_wms_raw_write_output_get_memory_index
                                   (QmiMessageWmsRawWriteOutput *self,
                                    guint32 *value_memory_index,
                                    GError **error);

Get the 'Memory Index' field from `self` .

#### Parameters

self | a QmiMessageWmsRawWriteOutput. |
value_memory_index | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_wms_raw_write ()

    void
    qmi_client_wms_raw_write (QmiClientWms *self,
                              QmiMessageWmsRawWriteInput *input,
                              guint timeout,
                              GCancellable *cancellable,
                              GAsyncReadyCallback callback,
                              gpointer user_data);

Asynchronously sends a Raw Write request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_raw_write_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsRawWriteInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_raw_write_finish ()

    QmiMessageWmsRawWriteOutput *
    qmi_client_wms_raw_write_finish (QmiClientWms *self,
                                     GAsyncResult *res,
                                     GError **error);

Finishes an async operation started with `qmi_client_wms_raw_write()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_raw_write()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsRawWriteOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_raw_write_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsRawWriteInput

    typedef struct _QmiMessageWmsRawWriteInput QmiMessageWmsRawWriteInput;

The QmiMessageWmsRawWriteInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsRawWriteOutput

    typedef struct _QmiMessageWmsRawWriteOutput QmiMessageWmsRawWriteOutput;

The QmiMessageWmsRawWriteOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0